Package org.apache.lucene.analysis.ja.tokenattributes

## Interface InflectionAttribute

- All Superinterfaces:
    `Attribute`
  All Known Implementing Classes:
    `InflectionAttributeImpl`

      public interface InflectionAttribute
      extends Attribute

  Attribute for Kuromoji inflection data.

  Note: in some cases this value may not be applicable, and will be null.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getInflectionForm()` |
    `String` | `getInflectionType()` |
    `void` | `setToken​(Token token)` |

- - ### Method Detail

    - #### getInflectionType

          String getInflectionType()

    - #### getInflectionForm

          String getInflectionForm()

    - #### setToken

          void setToken​(Token token)